routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use App\Income;
use App\newCategory;
use App\Loan;
use App\BudgetCategory;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\DB;

Route::get('login', 'Auth\LoginController@showLoginForm');
Route::post('login', 'Auth\LoginController@login');
Route::get('logout', 'Auth\LoginController@logout');

Route::group(['middleware' => 'auth'], function () {

    Route::get('/', function () {
        return view('dashboard');
    });

    Route::get('/home', 'HomeController@index');


    Route::get('/dashboard', function () {
        return view('dashboard');
    });

    Route::get('/table', function () {
        return view('tables');
    });

    Route::get('/table_dynamic', function () {
        return view('tables_dynamic');
    });

    /**
     * Profile Route
     */

    Route::get('profile', 'UserController@profile');

    /**
     *  Expense Route
     */


    Route::post('/expanse/appendCat',function(){

        $categoryList = newCategory::orderBy('created_at', 'desc')->first();
        return response::json($categoryList);
    });

    Route::get('expanse/report', 'ExpanseController@report');
    Route::post('expanse/viewReport', 'ExpanseController@viewReport');
    Route::any('expanse/add-new-expense', 'ExpanseController@newExpanse');
    Route::resource('expanse', 'ExpanseController');

    Route::delete('/expanse/{id?}',function($id){

        $expanse = Expanse::destroy($id);
        return response::json($expanse);
    });

    /*
     * User Route
     */

    Route::resource('user', 'UserController');

    Route::delete('/user/{id?}',function($id){

        $user = User::destroy($id);
        return response::json($user);
    });



    /**
     * Delete Route
     */

    Route::get('/delete-expanse/{id}', 'ExpanseController@delete_expanse');
    Route::get('/delete-user/{id}', 'UserController@delete_user');

    /**
     * Loan Route
     */
    Route::get('loan/report', 'LoanController@report');
    Route::post('loan/view-report', 'LoanController@showReport');
    Route::resource('loan', 'LoanController');

    Route::delete('/loan/{id?}',function($id){
        $loan = Loan::destroy($id);
        return response::json($loan);
    });

    /**
     * Budget Route
     */
    Route::post('/budget/append-new-cat',function(){

        $categoryList = BudgetCategory::orderBy('created_at', 'desc')->first();
        return response::json($categoryList);
    });

    Route::get('budget/report', 'BudgetController@report');
    Route::post('budget/viewReport', 'BudgetController@viewReport');
    Route::any('budget/add-new-budget', 'BudgetController@newBudget');
    Route::resource('budget', 'BudgetController');

//    Route::delete('/budget/{id?}',function($id){
//
//        $expanse = Expanse::destroy($id);
//        return response::json($expanse);
//    });


    /**
     * Income Route
     */

    Route::get('income/report', 'IncomeController@report');
    Route::post('income/viewReport', 'IncomeController@viewReport');
    Route::resource('income', 'IncomeController');

    Route::delete('/income/{id?}',function($id){

        $income = Income::destroy($id);
        return response::json($income);
    });
   // Route::post('/loan/check/{accountNo}', 'LoanController@matchAccount');


    Route::get('check/{accountNo?}',function(){
        $account_no = $_GET['account'];
     //  $check = Loan::matchAccount($account_no);
        $c = Loan::where('account_no', '=', $account_no)->get()->count();
        if ($c == 0)
        {
           echo $a = "ok";
            //return response::json($a);

        }
        else{

            echo   $a = "not";
          }

    });

    /* Loan Installment */

    //Route::get('create/installments', 'InstallmentController@showInstallmentsReport');
    Route::resource('installments', 'InstallmentController');
    Route::get('addinstallment', 'InstallmentController@viewDetails');
    Route::get('viewinstallment', 'InstallmentController@view');

    Route::get('viewinstallment/report', 'InstallmentController@report');
    Route::post('viewinstallment/viewreport', 'InstallmentController@showReportDetails');

    Route::delete('/delete/{id?}',function($id){
        $installment = \App\Installments::destroy($id);
        return response::json($installment);
    });



    Route::get('report/openReport', 'BalanceReportController@openReport');
    Route::post('report/viewReport', 'BalanceReportController@viewReport');

    Route::get('report/budget-expanse', 'BudgetExpanseReportController@openReport');
    Route::post('report/view-budget-expanse', 'BudgetExpanseReportController@viewReport');
    Route::get('add_installment', 'InstallmentController@indexDetails');
    Route::get('add_details', 'InstallmentController@details');

   // Route::post('delete', 'InstallmentController@delete_installment');





});

resources/views/addExpanse.blade.php
@extends('layouts.master')
@section('title', 'Add Expense')
@section('content')


    <script>
        $(function () {
            $("[name='expanse_category']").focus();
        });

        function CheckHead(val) {
            var stf_name = document.getElementById('staff_name');
            var type = document.getElementById('type');

            if (val == 'Staff Salary') {
                stf_name.style.display = 'block';
                type.style.display = 'none';
            }

            else {
                stf_name.style.display = 'none';
                type.style.display = 'block';

            }

        }

    </script>

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Expense</h3>
                </div>

            </div>
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Add Expense<!--<small>Input different form elements</small>--></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            <form action="{{url('expanse')}}" method="POST" class="form-horizontal" role="form">
                                {{ csrf_field() }}
                                <div class="form-body">
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Select Category</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="col-md-9" style="padding: 0px !important;">

                                                <select id="mySelect" name="expanse_category" class="form-control"
                                                        onchange='CheckHead(this.value);' required>
                                                    <option value="">Select Category</option>
                                                    <option value="Staff Salary">Staff Salary</option>
                                                    <option value="Rent">Rent</option>
                                                    <option value="Utility">Utility</option>
                                                    <option value="Transport">Transport</option>
                                                    <option value="Miscellaneous">Miscellaneous</option>
                                                    <option value="Daily Expanse">Daily Expense</option>
                                                    @foreach($categoryList as $showCategoryList)
                                                        <option value="{{$showCategoryList->categoryName}}">{{$showCategoryList->categoryName}}</option>
                                                    @endforeach

                                                </select>
                                            </div>
                                            <div class="col-md-3">
                                                <input type="hidden" id="token" value="{{csrf_token()}}"/>
                                                <button type="button" class="btn btn-success" data-toggle="modal"
                                                        data-target="#myModal" style="width: 114px;">Add New <span
                                                            class="glyphicon glyphicon-plus"></span></button>
                                            </div>


                                        </div>
                                    </div>

                                    <div class="form-group" id="type" style='display:none;'>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Type</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="text" class="form-control col-md-7 col-xs-12" name="type"
                                                   placeholder="Type">
                                        </div>
                                    </div>

                                    <div class="form-group" id="staff_name" style='display:none;'>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Staff Name</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="text" class="form-control col-md-7 col-xs-12" name="staff_name"
                                                   placeholder="Staff Name">
                                        </div>
                                    </div>

                                    <div class="form-group" style='display:block;'>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Amount</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="number" class="form-control col-md-7 col-xs-12" name="amount"
                                                   placeholder="Amount">
                                            @if ($errors->has('amount'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('amount') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="ln_solid"></div>
                                    <div class="form-group">
                                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                            <a type="cancel" href="{{ url('dashboard') }}"
                                               class="btn btn-danger">Cancel</a>
                                            <button type="submit" class="btn btn-primary">Add</button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    {{--Modal--}}
    <div class="modal fade" tabindex="-1" id="myModal" aria-labelledby="myModalLabel" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header alert-success">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title"><span class="glyphicon glyphicon-plus-sign"></span> Add New Category</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="cat">New Category</label>
                        <input type="text" class="form-control" id="cat" placeholder="Type Here">
                    </div>
                    <input type="hidden" id="d_id">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                    <button type="button" class="savings btn btn-primary delete_product" data-dismiss="modal"
                            data-token="{{ csrf_token() }}" data-dismiss="modal">Add
                    </button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->


    {{--New Category Script--}}

    <script>
        $('.savings').click(
            function () {


                var newCat = $('#cat').val();

                $.ajax(
                    {
                        url: "add-new-expense",
                        dataType: "json",
                        type: "POST",
                        data: {
                            newCat: newCat,
                            _token: $('#token').val()
                        },
                        success: function (response) {
//
//                            if (response.status) {
//                                location.reload();
//                            }


                            $.ajax(
                                {
                                    url: "appendCat",
                                    dataType: "json",
                                    type: "POST",
                                    data: {
                                        _token: $('#token').val()
                                    },
                                    success: function (response) {

                                        console.log(response);

//                                            $.map(response, function(val, key) {
                                        console.log("Category: " + response.categoryName);

                                        var option = document.createElement("option");
                                        option.text = response.categoryName;
                                        option.value = response.categoryName;
                                        var select = document.getElementById("mySelect");
                                        select.appendChild(option);

//                                            });


                                    }
                                }
                            );

                        }
                    }
                );

                document.getElementById('cat').value = "";

            }
        );
    </script>

@endsection

resources/views/addIncome.blade.php
@extends('layouts.master')
@section('title', 'Add Income')
@section('content')


    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Income</h3>
                </div>

            </div>
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Add Income<!--<small>Input different form elements</small>--></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">

                            <form action="{{url('income')}}" method="POST" class="form-horizontal" role="form">
                                {{ csrf_field() }}
                                <div class="form-body">

                                    <div class="form-group" id="type" style='display:block;'>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Date</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input name="date" class="birthday date-picker form-control col-md-7 col-xs-12" required="required" type="text">
                                        </div>
                                    </div>

                                    <div class="form-group" id="type" style='display:block;'>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Type</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="text" class="form-control col-md-7 col-xs-12" name="type"
                                                   placeholder="Type">
                                            @if ($errors->has('type'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('type') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="form-group" style='display:block;'>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Amount</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="number" class="form-control col-md-7 col-xs-12" name="amount"
                                                   placeholder="Amount">
                                            @if ($errors->has('amount'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('amount') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="ln_solid"></div>
                                    <div class="form-group">
                                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                            <a type="cancel" href="{{ url('dashboard') }}"
                                               class="btn btn-danger">Cancel</a>
                                            <button type="submit" class="btn btn-primary">Add</button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/expanseList.blade.php
@extends('layouts.master')
@section('title', 'Expense List')
@section('content')
    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Expense <!--<small>Some examples to get you started</small>--></h3>
                </div>

            </div>

            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Expense List <!--<small>Users</small>--></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>

                        @if(Session::has('message'))

                            <div id="successMessage" class="alert alert-success alert-dismissible fade in" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span
                                            aria-hidden="true">×</span>
                                </button>
                                <strong>{{ Session::get('message') }}</strong>
                            </div>
                        @endif

                        <div class="x_content">
                            <!--<p class="text-muted font-13 m-b-30">
                                The Buttons extension for DataTables provides a common set of options, API methods and styling to display buttons on a page that will interact with a DataTable. The core library provides the based framework upon which plug-ins can built.
                            </p>-->
                            <div class="table-responsive">
                                <table id="" class="example table table-striped table-bordered table-hover display">
                                    <thead>
                                    <tr class="alert-info">
                                        <th>Date</th>
                                        <th>Category</th>
                                        <th>Head</th>
                                        <th>Amount</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>


                                    <tbody>
                                    @foreach($allExpanseList as $expanseList)

                                        <tr id="expanse{{$expanseList->id}}">
                                            <td>{{ date('m-d-Y',strtotime($expanseList->date)) }} </td>
                                            <td>{{$expanseList->category}}</td>
                                            <td>{{$expanseList->head}}</td>
                                            <td>{{$expanseList->amount}}</td>
                                            <td align="center">
                                                <a href="{{route('expanse.edit', $expanseList->id)}}"
                                                   class="btn btn-primary btn-sm"><span class="glyphicon glyphicon-edit"></span></a>
                                                <button class="btn confirm btn-danger btn-sm delete_p" data-toggle="modal" data-id="{{$expanseList->id}}"><span class="glyphicon glyphicon-trash"></span></button>
                                            </td>
                                        </tr>

                                        {{--Modal--}}
                                        <div class="modal fade" tabindex="-1" id="myModal" aria-labelledby="myModalLabel"
                                             role="dialog">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header alert-danger">
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close"><span aria-hidden="true">&times;</span>
                                                        </button>
                                                        <h4 class="modal-title"><span class="glyphicon glyphicon-trash"></span>
                                                            Confirmation Message</h4>
                                                    </div>
                                                    <div class="modal-body">
                                                        <p>Are you sure that you want to permanently delete the selected
                                                            element?</p>
                                                        <input type="hidden" id="d_id">
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-warning" data-dismiss="modal">No
                                                        </button>
                                                        <button type="button" class="btn btn-danger delete_product"
                                                                data-dismiss="modal" value="{{$expanseList->id}}"
                                                                data-token="{{ csrf_token() }}" data-dismiss="modal">Delete
                                                        </button>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->

                                    @endforeach

                                    </tbody>
                                    <tfoot>
                                    <tr class="alert-success">
                                        <th>Total:</th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                    </tfoot>
                                </table>



                            </div>
                        </div>
                        <meta name="_token" content="{!! csrf_token() !!}"/>
                    </div>
                </div>

            </div>
        </div>
    </div>


@endsection
@section('script')

    <script>

        setTimeout(function () {
            $("#successMessage").fadeOut('slow');
        }, 3000);

    </script>
    <script type="text/javascript">
        // $('.confirm').confirm(
        $(document).on("click", ".delete_p", function () {
            var did = $(this).data('id');
            $("#d_id").val(did);
            $('#myModal').modal('show');
        });
        var url = "expanse";
        $('.delete_product').click(function () {
            var _id = $("#d_id").val();
            //alert(_id);
            console.log("ok");
            var id = _id;
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="_token"]').attr('content')
                }
            })
            $.ajax({
                type: 'DELETE',
                url: url + '/' + id,
                success: function (data) {
                    console.log(id);
                    $("#expanse" + id).remove();
                },
                error: function (data) {
                    console.log('Error:', data);
                }
            });
        });
        //        });
        //);
    </script>


@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Dashboard</div>

                <div class="panel-body">
                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection